# Changelog

### Onegeo UI.

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.9.5] - 2023-08-31

### Fixed

-   Carousel Image hack object-cover on build version

## [0.9.4] - 2023-08-31

### Fixed

-   Hero with only one image (aspect ration)
-   Carousel logo aspect ration & responsive
-   Socials link target blank
-   Stats mode responsive

### Added

-   Carousel options for slidesPerView

## [0.9.3] - 2023-08-01

### Fixed

-   Link manage internal links detection with hash '#'

## [0.9.2] - 2023-08-01

### Fixed

-   Search show/hide, add props 'noResult'
-   Search add props category to filter by Thématiques

## [0.9.1] - 2023-07-27

### Fixed

-   Hero default mask color
-   Maps when thumbnail is null
-   Search options pass has props in Hero (position, placeholder)

## [0.9.0] - 2023-07-26

### Added

-   Search add props position "left" | "right" for logo
-   Search add props placeholder
-   Data, News, Maps add card layout from options
-   Socials add options and options.class
-   REDMINE_ISSUE-17319 SideBar (toc, links & docs) and LinkList (for docs & links)

### Fixed

-   REDMINE_ISSUE-17479 Cards image size (check square, landscape & portrait)
-   News responsive view

## [0.8.11] - 2023-07-24

### Fixed

-   Menu use options from Directus (not from props)

## [0.8.10] - 2023-07-20

### Fixed

-   CardList use twMerge
-   Data order desc by default

## [0.8.8] - 2023-07-07

### Added

-   Add Header menu options

## [0.8.7] - 2023-07-06

### Fixed

-   News link if more than 100 news.

## [0.8.6] - 2023-06-30

### Fixed

-   Maps filter featured maps from Mapstore
-   Maps & Data display main div when fetching data

## [0.8.5] - 2023-06-29

### Added

-   add gatsby-plugin-feed and init config for news

## [0.8.4] - 2023-06-28

### Fixed

-   Footer logo size
-   Hero default title/subtitle position with Search
-   Menu goto() always return string (fix goto(item).split())
-   Sections/Components update filter published

## [0.8.3] - 2023-06-28

### Fixed

-   Map (with onegeo-maps context)
-   Footer logo height

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.5

## [0.8.2] - 2023-06-21

### Fixed

-   Card image size when long title or description

## [0.8.1] - 2023-06-20

### Added

-   utils stripImg to remove <img > tag

### Fixed

-   News active les liens et documents
-   remove img tag in cards description (usefull for News card)
-   utils definition

## [0.8.0] - 2023-06-13

### Added

-   Search (connected with Explorer ES API), added by default in Hero (can be hidden with options)
-   CommandPalette (Display Search as 'Modal')
-   Utils: cleanHtml()
-   Menu show active item
-   Map can display context from OGS Maps (default) or Mapstore

### Fixed

-   export for utils (isBrowser, isArray(), isBoolean(), isObject(), isString(), merge(), cleanHtml())
-   News: switch list/grid, remove search input
-   Check state 'published' & sort on Menu, Events, Sections, Socials, Stats

### Removed

-   react-autosuggest
-   react-instantsearch-dom
-   http-proxy-middleware
-   typesense & autocomplete

## [0.7.13] - 2023-06-01

### Added

-   Funders component (like Partners...)

## [0.7.12] - 2023-05-30

### Fixed

-   Menus with more than 100 items
-   options to Menu (level 0)
-   fetch metadate from ES for Data component
-   Add action to Data & Maps

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.4

## [0.7.11] - 2023-05-24

### Fixed

-   Content merge class

## [0.7.10] - 2023-05-15

### Added

-   Options to Data & Maps, use TitleComponent

### Changed

-   rewrite TitleComponent

### Removed

-   package 'classix' (use twMerge)

## [0.7.9] - 2023-05-12

### Added

-   Card badge and date
-   Format date in news
-   export utils (isArray, isBoolean, isObject, isString, merge)

## [0.7.8] - 2023-05-10

### Fixed

-   options props in Stats, Button

## [0.7.7] - 2023-05-05

-   require Datamodel >= 0.6.0

### Added

-   PageContext
-   Use Theme in Layout (and pages...)
-   options props in pages, index
-   customComponent to simplify extending theme in portal fork

### Fixed

-   Menu unique key

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.3

## [0.7.6] - 2023-04-21

### Added

-   Hero options : carousel and images

### Fixed

-   Header logo size (header height = 64px (h-16) - Image height limit = 52px)

## [0.7.5] - 2023-04-13

### Changed

-   !! Change DataModel version (1.x to 0.x : 1.5.2 become 0.5.2, next is 0.6.0)
-   require Datamodel >= 0.5.0

## [0.7.4] - 2023-04-13

### Fixed

-   Hero component default oClass

## [0.7.3] - 2023-04-07

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.2

## [0.7.2] - 2023-04-06

### Added

-   Hero add options.class
-   Menu fix check type 'page' / 'url', add target blank for external links

### Changed

-   Update @onegeo-suite/gatsby-plugin-auth to 0.2.1

## [0.7.1] - 2023-04-04

### Added

-   Added UserMenu by default (@onegeo-suite/gatsby-plugin-auth)
-   Added Datamodel version check

## [0.7.0] - 2023-04-03

### Added

-   Hero Tile (cf. options) - 2 components 'hero' / 'herotile'
-   Added card size "full" for tiles
-   Added options for iFrame
-   Added options for Text
-   Added options for Sections

## [0.6.3] - 2023-03-29

### Fixed

-   fix map

## [0.6.2] - 2023-03-22

### Added

-   package 'tailwind-merge'

### Fixed

-   Use 'tailwind-merge' for className

### Deprecated

-   package 'classix'

## [0.6.1] - 2023-03-21

### Fixed

-   Cards use < Figure > to fix image border rounded

## [0.6.0] - 2023-03-20

-   Init Changelog

### Added

-   Composant titleSection
-   Ajout d'une option pour le titre (divideTitle)

### Added

-   All !
